﻿using System;

namespace RandomNumberGenerator
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("Welcome to the Random Number Generator!");

            int min, max;

            // Get user input for range
            do
            {
                Console.Write("Enter the minimum value: ");
                min = int.Parse(Console.ReadLine());

                Console.Write("Enter the maximum value: ");
                max = int.Parse(Console.ReadLine());

                if (min >= max)
                {
                    Console.WriteLine("Invalid range! Maximum value must be greater than minimum value.");
                }
            } while (min >= max);

            // Generate and display the random number
            int randomNumber = GenerateRandomNumber(min, max);
            Console.WriteLine("Your random number is: {0}", randomNumber);

            Console.ReadKey();
        }

        // Method to generate a random number within a specified range
        static int GenerateRandomNumber(int min, int max)
        {
            Random random = new Random();
            return random.Next(min, max + 1); // Include max in the possible values
        }
    }
}
